%define mattermost_user mattermost
%define mattermost_group mattermost
%define mattermost_home /var/lib/mattermost
%define debug_package %{nil}

Name:		mattermost-plugin-jitsi
Version:	2.0.0
Release:	1%{?dist}
URL:            https://github.com/mattermost/mattermost-plugin-jitsi
Summary:	Plugin for Mattermost and Jitsi
License:	Apache
BuildRequires:	golang
Requires:	mattermost


%description


%prep
%setup -q -T -c %{name}-%{version}
export GOPATH=`pwd`
mkdir -p src/github.com/mattermost/
cd src/github.com/mattermost/
git clone https://github.com/mattermost/mattermost-plugin-jitsi


%build
export GOPATH=`pwd`
export PATH="bin:"$PATH
export GO111MODULE=on
cd src/github.com/mattermost/mattermost-plugin-jitsi
git checkout v%{version}
pushd webapp
npm install
npm run build
popd
go build -o plugin.exe ./server


%install
mkdir -p %{buildroot}%{mattermost_home}/plugins/jitsi/{server,webapp}
cp -rv src/github.com/mattermost/mattermost-plugin-jitsi/plugin.json %{buildroot}%{mattermost_home}/plugins/jitsi/
sed 's/"executables": {/"executables": { "linux-%{_arch}": "server\/plugin.exe"/' -i %{buildroot}%{mattermost_home}/plugins/jitsi/plugin.json
sed '/"darwin-amd64"/d' -i %{buildroot}%{mattermost_home}/plugins/jitsi/plugin.json
sed '/"linux-amd64"/d' -i %{buildroot}%{mattermost_home}/plugins/jitsi/plugin.json
sed '/"windows-amd64"/d' -i %{buildroot}%{mattermost_home}/plugins/jitsi/plugin.json
cp -rv src/github.com/mattermost/mattermost-plugin-jitsi/plugin.exe %{buildroot}%{mattermost_home}/plugins/jitsi/server/
cp -rv src/github.com/mattermost/mattermost-plugin-jitsi/webapp/dist/ %{buildroot}%{mattermost_home}/plugins/jitsi/webapp/
cp -rv src/github.com/mattermost/mattermost-plugin-jitsi/assets/ %{buildroot}%{mattermost_home}/plugins/jitsi/


%files
%{mattermost_home}/plugins/jitsi/plugin.json
%{mattermost_home}/plugins/jitsi/server/plugin.exe
%{mattermost_home}/plugins/jitsi/webapp/dist/main.js
%{mattermost_home}/plugins/jitsi/assets/


%changelog
