%define mattermost_user mattermost
%define mattermost_group mattermost
%define mattermost_home /var/lib/mattermost
%define debug_package %{nil}

Name:		mattermost-plugin-webex
Version:	1.1.0
Release:	1%{?dist}
URL:            https://github.com/mattermost/mattermost-plugin-webex
Summary:	Plugin for Mattermost to connect over webex
License:	Apache
BuildRequires:	golang
Requires:	mattermost


%description


%prep
%setup -q -T -c %{name}-%{version}
export GOPATH=`pwd`
go get -u -v github.com/pkg/errors
mkdir -p src/github.com/mattermost/
cd src/github.com/mattermost/
git clone https://github.com/mattermost/mattermost-plugin-webex


%build
export GOPATH=`pwd`
export PATH="bin:"$PATH
cd src/github.com/mattermost/mattermost-plugin-webex
git checkout tags/v%{version}
pushd webapp
npm install
npm run build
popd
go build -o plugin.exe ./server


%install
mkdir -p %{buildroot}%{mattermost_home}/plugins/com.mattermost.webex/{server,webapp}
cp -rv src/github.com/mattermost/mattermost-plugin-webex/plugin.json %{buildroot}%{mattermost_home}/plugins/com.mattermost.webex/
sed 's/"executables": {/"executables": { "server\/plugin.exe"/' -i %{buildroot}%{mattermost_home}/plugins/com.mattermost.webex/plugin.json
sed '/"darwin-amd64"/d' -i %{buildroot}%{mattermost_home}/plugins/com.mattermost.webex/plugin.json
sed '/"linux-amd64"/d' -i %{buildroot}%{mattermost_home}/plugins/com.mattermost.webex/plugin.json
sed '/"windows-amd64"/d' -i %{buildroot}%{mattermost_home}/plugins/com.mattermost.webex/plugin.json
cp -rv src/github.com/mattermost/mattermost-plugin-webex/plugin.exe %{buildroot}%{mattermost_home}/plugins/com.mattermost.webex/server/
cp -rv src/github.com/mattermost/mattermost-plugin-webex/webapp/dist/ %{buildroot}%{mattermost_home}/plugins/com.mattermost.webex/webapp/


%files
%{mattermost_home}/plugins/com.mattermost.webex/plugin.json
%{mattermost_home}/plugins/com.mattermost.webex/server/plugin.exe
%{mattermost_home}/plugins/com.mattermost.webex/webapp/dist/main.js
%{mattermost_home}/plugins/com.mattermost.webex/webapp/dist/main.js.map


%changelog
